Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 03-01-2016 00:21:31

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

Je vais de mal en pis. Je récolte cette erreur en faisant mon update:

josselin@debian:~$

 sudo apt-get update



Atteint:1 [url]http://ftp.fr.debian.org/debian[/url] jessie-updates InRelease
Atteint:2 [url]http://security.debian.org[/url] jessie/updates InRelease                                                                                              
Atteint:3 [url]http://www.deb-multimedia.org[/url] jessie InRelease                                                                                                    
Ign:4 [url]http://ftp.debian.org/debian[/url] jessie InRelease                                                                                                        
Atteint:5 [url]http://ftp.fr.debian.org/debian[/url] jessie-backports InRelease                                                                                        
Atteint:6 [url]http://ftp.debian.org/debian[/url] jessie Release                                                                                                      
Réception de:7 [url]http://ftp.fr.debian.org/debian[/url] sid InRelease [271 kB]                                                                                      
Ign:8 [url]http://mozilla.debian.net[/url] jessie-backports InRelease                                                                  
Atteint:9 [url]http://ftp.fr.debian.org/debian[/url] experimental InRelease                                              
Atteint:10 [url]http://mozilla.debian.net[/url] jessie-backports Release                                                
Réception de:12 [url]http://ftp.fr.debian.org/debian[/url] sid/main amd64 Packages [7 973 kB]
Réception de:14 [url]http://ftp.fr.debian.org/debian[/url] sid/main i386 Packages [7 967 kB]                                                                          
Réception de:15 [url]http://ftp.fr.debian.org/debian[/url] sid/main Translation-fr [1 025 kB]                                                                          
Réception de:16 [url]http://ftp.fr.debian.org/debian[/url] sid/main Translation-en [5 229 kB]                                                                          
Réception de:17 [url]http://ftp.fr.debian.org/debian[/url] sid/main amd64 DEP-11 Metadata [2 021 kB]                                                                  
Réception de:18 [url]http://ftp.fr.debian.org/debian[/url] sid/main DEP-11 64x64 Icons [6 871 kB]                                                                      
Réception de:19 [url]http://ftp.fr.debian.org/debian[/url] sid/contrib amd64 Packages [61,2 kB]                                                                        
Réception de:20 [url]http://ftp.fr.debian.org/debian[/url] sid/contrib i386 Packages [59,5 kB]                                                                        
Réception de:21 [url]http://ftp.fr.debian.org/debian[/url] sid/contrib Translation-en [48,1 kB]                                                                        
Réception de:22 [url]http://ftp.fr.debian.org/debian[/url] sid/contrib amd64 DEP-11 Metadata [2 976 B]                                                                
Réception de:23 [url]http://ftp.fr.debian.org/debian[/url] sid/contrib DEP-11 64x64 Icons [132 kB]                                                                    
31,7 Mo réceptionnés en 40s (791 ko/s)                                                                                                                      
Lecture des listes de paquets... Fait
E: Problem executing scripts APT::Update::Post-Invoke-Success '/usr/bin/test -e /usr/bin/appstreamcli && appstreamcli refresh > /dev/null'
E: Sub-process returned an error code
josselin@debian:~$
 



est ce que quelqu'un est capable de m'expliquer clairement ce qu'il se passe? je nage totalement là. Tout est pété donc? réinstall obligatoire?
(bon j'ai essayé quand même d'installer tout ce qui concerne appstream avec synaptic mais ça n'a rien donné.
J'en ai marre de ce foutu systeme qui ne fait jamais ce que je lui demande!!!!)

Edit à toto :
Mise la commande à part dans les balises commande de l'user

Hors ligne

#27 03-01-2016 06:24:44

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

As-tu modifié ton fichier sources.list ?
Quels étapes as-tu suivi avant cette mise à jour sid ?

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#28 03-01-2016 06:35:17

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

bonjour

oui j'ai changé finalement ma source list en testing (seulement la première ligne, après quelques essais infructeux en modifiant toute la liste c'est la seule "formule" qui passait.)
Mais je me retrouve quand même avec cette erreur en faisant mon update (elle est apparue avant que je change ma source list, surement le résultat de mes erreurs précédentes). Pour le moment je laisse comme ça, il n'y a pas de dommages majeurs sur l'environnement graphique et je peux profiter du reste sans souci.
Pour l'heure j'attends simplement quelqu'un qui pourra me guider vraiment pas à pas. En même temps il est six heures du mat et je m'appretais a pioncer.
Voila ma source list pour info

# Debian unstable - dépôts officiels
deb http://ftp.debian.org/debian/ sid  main contrib non-free

# jessie-securite
deb http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ jessie-updates main contrib non-free

# jessie-backports
deb http://ftp.fr.debian.org/debian/ jessie-backports main contrib non-free

# stable iceweasel release
# apt-get -t jessie-backports install iceweasel iceweasel-l10n-fr* (alias "i")
# apt-get -t jessie-backports install iceweasel iceweasel-l10n-* (alias "i*")
# deb http://mozilla.debian.net/ jessie-backports iceweasel-release

                                                                  [ Lecture d

Dernière modification par luckyboy94 (03-01-2016 06:37:38)

Hors ligne

#29 03-01-2016 06:48:02

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

Disons que ça fait plusieurs fois que je réinstalle Voyager X8 ey qu'à chaque fois je suis presque mis devant le fait accompli de faire cette mise a niveau que je n'ai absolument pas demandé. Je commence d'ailleurs à me demander si votre LInux marche bien j'ai tout le temps des soucis de n'importe quel ordre, alors la config chaise clavier ok mais faut pas pousser hein............
Si je devais decrire etape par etape, je dirais:
je reinstalle
je fais la MAJ post install
du coup on me demande d'upgrader certains paquets pour que le systeme fonctionne
et apres merdier total

je ne comprends rien a votre doc je ne comprends a votre syeteme alors voilà je n'ai pas que ça a foutre. Vous me faites galerer dans mon taf en plus.

Dernière modification par luckyboy94 (03-01-2016 07:06:15)

Hors ligne

#30 03-01-2016 07:24:32

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

deb http://ftp.debian.org/debian/ sid  main contrib non-free


Ceci est une source sid et non jessie ou stretch. Tu pratiques donc un upgrade vers sid (unstable) sans le secours des sources stretch (testing) et donc ça le fait pas.

Installe une stable pour commencer gère-là pas à pas. Ensuite, nous pourrons t'aider d'une manière plus cohérente pour résoudre ton problème pas après pas et non au bout d'une chaîne d'incohérences que tu tisses toi-même.

énergumène a écrit :

je n'ai pas que ça a foutre


Et nous donc ?
Nous sommes tous des bénévoles pour l'entraide sur ce site, je comprends ton désarroi mais nous on ne fait que reprendre les informations que tu nous donnes au compte-goutte à postériori et comme on n'est pas au-dessus de ton épaule, on ne peut en faire plus pour te soulager.

Si tu es fatigué physiquement, prend un peu de repos, ça te fera le recul nécessaire pour mieux poursuivre.


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#31 03-01-2016 07:33:28

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

ok smolski on voit ça demain au calme ok?
mais je pense que je vais retourner sur kubuntu c'est indéniablement plus simple à utiliser.
on voit comment ça se passe demain et on avise.
j'ai remis les bases jessie, mais bon pour l'instant j'en suis toujours au même point.

Dernière modification par luckyboy94 (03-01-2016 07:36:06)

Hors ligne

#32 03-01-2016 07:48:41

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

Remettre les bases jessie ne suffit pas pour mettre jessie.
On ne downgrade pas un système GNU/Linux si facilement.

Oui, demain, après un peu de repos ça devrait le faire. smile

Si kubuntu te convient, pourquoi tu veux mettre debian ?
C'est là la question à te poser et éventuellement de nous en faire part ensuite.

Amitié, Joel smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#33 03-01-2016 08:03:22

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

en fait je suis sur voyager X8 depuis quatre cinq mois j'aime bcp cette distro notamment graphiquement, et l'"éthique" Debian j'aime bien, de même que tout le truc un peu politisé developpé derrière.
Bon bien sur on me rétorquera que ce n'est qu'un "systeme d'exploitation" (déjà rien qu'avec ces mots là tous les libristes devraient se poser des questions héhé), mais je trouve qu'il y a un peu autre chose aussi (ton blog perso le démontre bien au passage)
Oui joel j'imagine bien que ça ne suffit pas pour downgrader, à dire vrai j'ai souvent rencontré des soucis d'ordres techniques, que je n'arrivais pas à toujours a appréhender sur voyager, et la redecouverte de kubuntu cette aprem m'a fait le plus grand bien.
Pour l'anecdocte j'avais commencé mes (més)aventures dans le libre par ubuntu, et pareil, au début je ne pigeais rien, le noob absolu.
Mais j'ai aussi connu des moments d'accalmie sur voyager et même des moments de grande "joie" (essayez webmin ou cozycloud, vous autres, vous m'en direz des nouvelles)
C'est juste que ces derniers temps le truc part en sucette alors parfois j'ai un peu les crocs. Je subis des mises à niveau non-demandées a repetition. En même temps ma curiosité naturelle me fait dire "bon ok fonce, tant pis on verra". Mais bon là ça fait trois fois de suite que je me viande, avec réinstall à l'appui. Donc forcément j'ai les nerfs.
Désolé donc, et bonne nuit.

Hors ligne

#34 03-01-2016 08:07:47

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

Tu peux très bien faire une vm dans kubuntu pour testeer debian.
Tu peux faire l'inverse, installer debian en stable et faire une vm pour mettre kubuntu.
Tu peux encore choisir de faire un dual boot kubuntu / debian
Je te conseille de commencer par administrer une debian stable de façon à rallonger tes crocs pour ce qui concerne la ligne de commande, et tu verras pour la suite combien cela se déguste au mieux !

Force et courage ! Joel smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#35 03-01-2016 08:11:14

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

Mais j'etais en stable ces trois quatre derniers mois jamais en testing ou je ne sais quoi.
Tu vois j'ai juste voulu tester je me suis viandé et mon petit caractere a pris le dessus.
Et en ligne de commande je ne suis pas trop mauvais pour mon niveau.
J'arrive plutot bien a administrer en stable, meme si parfois je rencontre encore des forteresses mais petit à petit ça s'amenuise.
SI tu veux là j'ai l'impression que c'est mon propre systeme qui me dit "allez teste le testing" et je ne sais trop quoi lui répondre.
Voilou voilou.

Dernière modification par luckyboy94 (03-01-2016 08:15:02)

Hors ligne

#36 03-01-2016 08:16:25

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

padawan a écrit :

jamais en testing ou je ne sais quoi.


Ben voilà... « je ne sais quoi » explique tes mésaventures. Crée une stable debian à ton aise et fais-là évoluer selon les conseils que l'on pourra te donner ici sur tes indications et tes réponses à nos questions.
Il n'y a que comme ça que l'entraide fonctionne, ce n'est pas dictatorial mais participatif des deux côtés. smile
Toutes tes questions sont les bienvenues et je peux t'assurer qu'un post ici est toujours une aide pour tous, résolu ou non. Ne te gêne de rien.

Dort mon p'tit quinquin mon p'tit poussin... big_smile

Dernière modification par smolski (03-01-2016 08:17:11)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#37 03-01-2016 08:18:19

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

Oh petit insolent big_smile

Hors ligne

#38 03-01-2016 08:19:21

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

"saque eud dun" (patois chtimi : fonce dedans) tongue

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#39 03-01-2016 09:57:24

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : help urgent probleme d'installation digikam (résolu)

luckyboy94 a écrit :

Petite précision tout de même: je suis sous Voyager X8



Ceci explique cela, sur le papier cela parait être une super distribution basée sur Debian stable mais avec les dernières versions de logiciels.
J'ai un peu regardé le truc, perso je n'installerais pas ça. C'est un truc de geek.
Mélanger Stable et Unstable , c'est pas facile et je me demande même si c'est compatible.
Il faut savoir bien gratter pour gérer ce genre distri au quotidien.

Il vaut mieux une vrai Debian, bien plus simple à gérer mais sûrement moins jolie. Pas facile de tout avoir.

Hors ligne

#40 03-01-2016 10:03:26

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

c'est marrant c'est justement ce que je me disais je pense que je vais tenter le chroot/deboostrap pour installer une véritable debian à ma guise.
J'ai vu un bon tuto dans le wiki Debian je pense que je vais essayer ça aujourd'hui.
Vous avez raison les gars, Debian c'est un peu plus sérieux quand même, et ça faisait un ptit bout que j'hésitais.
Je crois bien que c'est le moment.
En plus j'ai envoyé un mail au devellopeur de Voyager il ne m'a toujours pas répondu.
En voilà une bonne raison ah ah!!

Hors ligne

#41 03-01-2016 10:04:00

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : help urgent probleme d'installation digikam (résolu)

bonjour

voyager x8 est construit sur debian jessie, mais est déjà bien modifié par le créateur

le sources.list est spécifique
normalement les dépôts sid et experimental sont là pour la mise à jour de xfce 4.12

il devrait y avoir un fichier preferences (demande de papy smolsky dans le post #5)
commande à passer dans un terminal

find /etc/apt/preferences.d/ -name '*' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;



smile

Dernière modification par Severian (03-01-2016 10:04:46)


"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#42 03-01-2016 10:05:54

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

non non laisse tomber je vais passer sur une debian, une vraie

Hors ligne

#43 03-01-2016 10:08:49

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : help urgent probleme d'installation digikam (résolu)

Avant de tester chroot et autres trucs, pense à envoyer tes images. wink

Au fait pourquoi dois tu installer digikam pour envoyer tes photos?

Hors ligne

#44 03-01-2016 10:13:54

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

as-tu un fichier dans les preferences comme indiqué précedemment ?
Celui-ci risque de demeurer selon ta reinstall...

Dernière modification par smolski (03-01-2016 10:14:23)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#45 03-01-2016 10:19:24

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

le voici:

Package: *
Pin: release o=Debian, a=stable
Pin-Priority: 500

Package: *
Pin: release a=testing
Pin-Priority: -10

Package: *
Pin: release a=unstable
Pin-Priority: -10

Package: *
Pin: release a=experimental
Pin-Priority: 1
 

Hors ligne

#46 03-01-2016 10:20:48

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

faut remettre les priorités c'est ça?

Hors ligne

#47 03-01-2016 10:21:17

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : help urgent probleme d'installation digikam (résolu)

On peut pas dire que c'est risqué mais c'est pas banal.
Un joyeux meli-melo.

Je ne pense pense pas qu'il faille les modifier.

Hors ligne

#48 03-01-2016 10:22:28

luckyboy94
Membre
Inscription : 02-11-2015

Re : help urgent probleme d'installation digikam (résolu)

smolski a écrit :

as-tu un fichier dans les preferences comme indiqué précedemment ?
Celui-ci risque de demeurer selon ta reinstall...



tu veux dire que même en réinstallant j'aurais les mêmes priorités donc les mêmes emmerdes?

Hors ligne

#49 03-01-2016 10:23:40

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : help urgent probleme d'installation digikam (résolu)

ok ! c'est donc dans ce que tu installes de sid que cela te casse le système par les dépendances.

Nota : stable est de priorité 500 par défaut et experimental de priorité 1 par défaut également smile

Dernière modification par smolski (03-01-2016 10:25:59)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#50 03-01-2016 10:23:58

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : help urgent probleme d'installation digikam (résolu)

Comment elles sont sur le Live Voyageur?

Normalement avec une priorité de -10 rien ne doit s'installer venant de Sid.

P > 1000
Cette priorité entraîne l'installation du paquet même s'il s'agit d'un retour en arrière.

990 < P <=1000
La version sera installée, même si elle n'appartient pas à la distribution par défaut ; mais elle ne sera pas installée si la version installée est plus récente.

500 < P <=990
La version sera installée, sauf s'il existe une version appartenant à la distribution par défaut ou si la version installée est plus récente.

100 < P <=500
La version sera installée, sauf s'il existe une version appartenant à une autre distribution ou si la version installée est plus récente.

0 < P <=100
La version sera installée si aucune version du paquet n'est installée.

P < 0
Cette priorité empêche l'installation de la version.



https://www.isalo.org/wiki.debian-fr/L'etiquetage_de_paquets_via_le_fichier_/etc/apt/preferences

Hors ligne

Pied de page des forums